armor:register_armor('epic:crown', {
   description = 'Admin Crown',
   inventory_image = 'epic_crown_inv.png',
   groups = {armor_head=1, armor_use=0, armor_fire=5, armor_block=50, armor_water=5, physics_jump=0.5, physics_speed=1.3, armor_heal=20, armor_dmg_resist=50, not_in_creative_inventory=1},
   armor_groups = {fleshy=100},
   damage_groups = {cracky=2, snappy=1, level=3},
   on_drop = function(itemstack, dropper, pos)
      return
   end,
})

armor:register_armor('epic:cap_deception', {
   description = 'Fur Cap of Deception',
   inventory_image = 'epic_cap_deception_inv.png',
   groups = {armor_head=1, armor_use=300, armor_block=1, physics_jump=-0.12, physics_speed=-.1, armor_heal = 2, armor_dmg_resist=.5, not_in_creative_inventory=1},
   armor_groups = {fleshy=25},
   damage_groups = {cracky=2, snappy=1, level=3},
})

--Setting armor_use to 88 should yeild about 1000 uses.

armor:register_armor('epic:amulet_of_speed', {
   description = 'Amulet of Speed\n+.75 Speed',
   inventory_image = 'epic_amulet_speed.png',
   texture = 'epic_blank.png',
   preview = 'epic_blank.png',
   groups = {armor_amulet=1, armor_use=88, physics_speed=.75, armor_dmg_resist=.5, not_in_creative_inventory=1},
   reciprocate_damage = true,
   armor_groups = {fleshy=1},
   damage_groups = {cracky=2, snappy=1, level=3},
})

--Setting armor_use to 88 should yeild about 1000 uses.

armor:register_armor('epic:gloves_of_speed', {
   description = 'Gloves of Speed',
   inventory_image = 'epic_gloves_speed.png',
   texture = 'epic_blank.png',
   preview = 'epic_blank.png',
   groups = {armor_gloves=1, armor_use=88, physics_speed=.75, armor_dmg_resist=.5, not_in_creative_inventory=1},
   armor_groups = {fleshy=1},
   damage_groups = {cracky=2, snappy=1, level=3},
})

--Setting armor_use to 88 should yeild about 1000 uses.

armor:register_armor('epic:ring_of_speed', {
   description = 'Ring of Speed\n+.75 Speed',
   inventory_image = 'epic_ring_speed.png',
   texture = 'epic_blank.png',
   preview = 'epic_blank.png',
   groups = {armor_ring=1, armor_use=88, physics_speed=.75, armor_dmg_resist=.5, not_in_creative_inventory=1},
   armor_groups = {fleshy=1},
   damage_groups = {cracky=2, snappy=1, level=3},
})

armor:register_armor('epic:ring_of_health', {
   description = 'Ring of Health\n+10 MaxHP',
   inventory_image = 'epic_ring_health.png',
   texture = 'epic_blank.png',
   preview = 'epic_blank.png',
   groups = {armor_ring=1, armor_use=88, armor_dmg_resist=.5, not_in_creative_inventory=1},
   armor_groups = {fleshy=1},
   damage_groups = {cracky=2, snappy=1, level=3},
   on_equip = function(player, index, stack)
      maxhp.max_hp_change(player, 10)
   end,
   on_unequip = function(player, index, stack)
      maxhp.max_hp_change(player, -10)
   end,
   on_destroy = function(player, index, stack)
      maxhp.max_hp_change(player, -10)
   end,
})
